# SPDX-FileCopyrightText: <text>Copyright 2022-2023 Arm Limited and/or its
# affiliates <open-source-office@arm.com></text>
#
# SPDX-License-Identifier: MIT
---
version: "2"
plugins:
  duplication:
    exclude_patterns:
      - "/layers/"
  structure:
    exclude_patterns:
      - "/layers/"
      - "documentation/variables.py"
  pep8:
    enabled: true
    exclude_patterns:
      - "/layers/"
      - "documentation/variables.py"
  sonar-python:
    enabled: true
    exclude_patterns:
      - "/layers/"
  shellcheck:
    enabled: true
    file_types:
      - "shell script"
      - "bats script"
      - "bash script"
    exclude_patterns:
      - "/layers/"
  fixme:
    enabled: true
    exclude_patterns:
      - "/layers/"
      - "/Dangerfile"
  spellcheck:
    enabled: true
    exclude_patterns:
      - GITIGNORE_CONTENTS
      - "*.git"
      - ".gitlab/"
      - "*.yml"
      - "*.yaml"
      - "*.json"
      - "/meta-cassini-*/**/*"
      - "*.png"
      - "/documentation/conf.py"
      - "/documentation/variables.py"
      - "/documentation/Makefile"
      - "/documentation/index.rst"
      - "/documentation/requirements.txt"
      - "__pycache__"
      - "/layers/"
      - "CHANGELOG.md"
      - "Dangerfile"
      - ".csslintrc"
      - ".eslintignore"
      - ".gitignore"
      - "/build/"
    dict_path: "meta-cassini-config/qa-checks/cassini-dictionary"
  yamllint:
    enabled: true
    exclude_patterns:
      - "/layers/"
      - ".rubocop.yml"
      - ".eslintrc.yml"
  headercheck:
    enabled: true
    format_rule: format-1
    original_works_licenses:
      - "MIT"
    external_works_licenses:
      - "MIT"
    exclude_patterns:
      - GITIGNORE_CONTENTS
      - "/layers/"
      - "/CHANGELOG.md"
      - ".rubocop.yml"
      - ".eslintignore"
      - ".eslintrc.yml"
      - ".csslintrc"
      - "coffeelint.json"
      - "global_variables.env"
      - "meta-cassini-config/qa-checks/cassini-dictionary"
      - "/LICENSE.rst"
      - "*.git"
      - ".gitignore"
      - "*.pyc"
      - "*.png"
      - "*.cfg"
      - "*.css"
      - "*.scc"
      - "*.patch"
